ripley/src/Rectangle.cpp File Reference
`#include <ripley/Rectangle.h>`
`#include <ripley/DefaultAssembler2D.h>`
`#include <ripley/LameAssembler2D.h>`
`#include <ripley/WaveAssembler2D.h>`
`#include <ripley/blocktools.h>`
`#include <ripley/domainhelpers.h>`
`#include <escript/FileWriter.h>`
`#include <escript/index.h>`
`#include <escript/Random.h>`
`#include <escript/Utils.h>`
`#include <boost/math/special_functions/fpclassify.hpp>`
`#include <boost/scoped_array.hpp>`
`#include <iomanip>`
`#include <limits>`

## Namespaces

| ripley

## Macros

#define | globalNodeId(x, y)

## Macro Definition Documentation

## globalNodeId

#define globalNodeId | ( |  | x,
|  |  | y
| ) |  |

Value:
((m_offset[0]+x)/nDOF0)*nDOF0*nDOF1+(m_offset[0]+x)%nDOF0 \
+ ((m_offset[1]+y)/nDOF1)*nDOF0*nDOF1*m_NX[0]+((m_offset[1]+y)%nDOF1)*nDOF0